Kernel#__method__


#1

Hi all,

it seems that Kernel#method is not implemented in jruby.

irb(main):001:0> method
NameError: undefined local variable or method `method’ for
main:Object

Am I missing something?

Thanks.
Andrea


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

#2

On Tue, May 19, 2009 at 4:05 PM, Andrea F. removed_email_address@domain.invalid
wrote:

Hi all,

it seems that Kernel#method is not implemented in jruby.

irb(main):001:0> method
NameError: undefined local variable or method `method’ for main:Object

Am I missing something?

method is a feature from Ruby 1.9

You’ll need to run JRuby in 1.9 compatible mode. It defaults to Ruby 1.8
syntax.

-> jruby --1.9 -S irb
irb(main):001:0> method
=> :irb_binding
irb(main:002:0>

Blessings,
TwP


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

#3

Il giorno mar, 19/05/2009 alle 16.11 -0600, Tim P. ha scritto:

method is a feature from Ruby 1.9

Hi Tim,

it seems that the feature is present since 1.8.7:

andrea@ganimoide:~/src$ ruby --version
ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]
andrea@ganimoide:~/src/johnson-ffi-stable$ irb

method
=> :irb_binding

Andrea


To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

#4

Shot (Piotr S.) wrote:

As far as I understand, JRuby is striving for 1.8.6 (and 1.9)
compatibility and skips 1.8.7 altogether (at least for now).

I think we’re going to flip the switch on 1.8.7 for JRuby 1.4, since
most of it is there (because of 1.9 support) and we’re getting more and
more people asking about those missing features.

  • Charlie

To unsubscribe from this list, please visit:

http://xircles.codehaus.org/manage_email

#5

Andrea F.:

Il giorno mar, 19/05/2009 alle 16.11 -0600, Tim P. ha scritto:

method is a feature from Ruby 1.9

it seems that the feature is present since 1.8.7:

andrea@ganimoide:~/src$ ruby --version
ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]
andrea@ganimoide:~/src/johnson-ffi-stable$ irb

method
=> :irb_binding

As far as I understand, JRuby is striving for 1.8.6 (and 1.9)
compatibility and skips 1.8.7 altogether (at least for now).

— Shot